Name: 		mdm
Version: 	2.0.19
Release: 	%mkrel 1
Summary: 	The MDM Display Manager
License: 	GPLv2+
Group: 		Graphical desktop/Mate
URL: 		https://github.com/linuxmint/mdm
Source0: 	https://github.com/linuxmint/mdm/archive/%{name}-%{version}.tar.xz
Source1:	27%{name}.conf
# pam files from pclos-gdm
Source2:	gdm.pam
Source3:	gdm-autologin.pam
Source4:	gdmsetup.pam
Source5:	%{name}.conf
# fixes specific to pclos
Patch0:		%name-pclos-changes.patch
Patch1:		mdmsetup-icon-theme.patch
Patch2:		%name-prefetch-fix.patch
BuildRequires: 	automake >= 1.15
BuildRequires: 	gettext
BuildRequires:	gnome-common
BuildRequires: 	gnome-doc-utils
BuildRequires: 	intltool
BuildRequires: 	rarian
BuildRequires: 	x11-server-xorg
BuildRequires: 	consolekit-devel
BuildRequires: 	libaudit-devel
BuildRequires: 	libcanberra-gtk-devel
BuildRequires: 	libcheck-devel
BuildRequires: 	libdmx-devel
BuildRequires: 	libGConf2-devel >= 2.31.3
BuildRequires: 	libglade2-devel
BuildRequires: 	libgnomecanvas2-devel
BuildRequires: 	librsvg2-devel
BuildRequires: 	libwebkitgtk-devel
BuildRequires: 	libwrap-devel
BuildRequires: 	libxklavier-devel
BuildRequires: 	pam-devel
BuildRequires: 	polkit-1-devel
BuildRequires: 	UPower-devel
BuildRequires:  libpthread-stubs
BuildRequires:  itstool
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires: 	cdialog
Requires: 	drakx-kbd-mouse-x11
Requires: 	metacity
Requires:	mint-mdm-themes
Requires: 	pam >= 0.99.8.1
Requires: 	polkit
Requires: 	sessreg
Requires: 	setup >= 2.1.9
Requires: 	usermode
Requires: 	xinitrc >= 2.4.14
Requires: 	zenity
Requires(pre):     rpm-helper
Requires(postun):  rpm-helper
Requires(post):	   scrollkeeper >= 0.3
Requires(postun):  scrollkeeper >= 0.3
Requires(post):    desktop-common-data
Conflicts:	gdm
Provides: 	dm

%description
MDM stands for MDM Display Manager (not Mint Display Manager 
and not MATE Display Manager) :)

It provides your system with a nice login screen which is easy 
to use, to configure and to theme.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

# mdm-AUR steps
aclocal --install
gnome-doc-prepare --force
export AUTOMAKE=automake

NOCONFIGURE=1 ./autogen.sh
%configure2_5x --without-selinux \
		--disable-dependency-tracking \
		--libexecdir=/usr/lib64/mdm \
		--localstatedir=/var/lib \
		--with-custom-conf=/etc/mdm/mdm.conf \
		--with-dmconfdir=/etc/X11/dm/Sessions \
		--enable-console-helper=yes \
		--with-console-kit=yes \
		--enable-ipv6=yes \
		--with-prefetch=yes \
		--enable-secureremote=yes \
		--enable-compile-warnings=no

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PAM_PREFIX=%{_sysconfdir} 

install -Dpm 0644 %{SOURCE1} %{buildroot}%{_datadir}/X11/dm.d/27%{name}.conf

# remove default pam files
pushd %buildroot%{_sysconfdir}/pam.d
rm -f mdm mdm-autologin mdmsetup

# provide pam files from pclos-gdm
cp -a %{SOURCE2} mdm
cp -a %{SOURCE3} mdm-autologin
cp -a %{SOURCE4} mdmsetup
popd

# backup conf and xsession, just in case
pushd %{buildroot}%{_sysconfdir}/mdm
mv %{name}.conf %{name}.conf-orig
mv Xsession Xsession-orig
popd

# custom pclos conf
install -m 0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/mdm/%{name}.conf

# custom Xsession file
install -m 0755 debian/Xsession %{buildroot}%{_sysconfdir}/mdm/Xsession

cp -aR debian/insserv.conf.d %{buildroot}%{_sysconfdir}/
install -m 0644 debian/*.xpm %{buildroot}%{_datadir}/pixmaps/mdm.xpm
install -m 0644 debian/locale.conf %{buildroot}%{_sysconfdir}/mdm/locale.conf

# don't ship .*a
find %{buildroot} -name '*.*a' -exec rm -f {} \;

%{find_lang} %{name} --with-gnome --all-name

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/*

%pre
%_pre_useradd mdm %{_var}/lib/mdm /bin/false
%_pre_groupadd xgrp mdm

%post
echo -e \
"\n-------------------------------------------------------------
 To start using MDM as the default display manager go to:
 PCLinuxOS Control Center => Boot => Setup display manager.
 Make your choice, apply changes and reboot your computer.
-------------------------------------------------------------\n"
/sbin/ldconfig
if [ -f /%{_sysconfdir}/X11/xdm/Xsession -a ! -x /%{_sysconfdir}/X11/xdm/Xsession ]; then
	chmod +x /%{_sysconfdir}/X11/xdm/Xsession
fi
if [ -x /usr/sbin/chksession ]; then /usr/sbin/chksession -g || true; fi

# creating mdm group if it isn't already there
if ! getent group mdm >/dev/null; then
        groupadd --system mdm
fi

# creating mdm user if it isn't already there
if ! getent passwd mdm >/dev/null; then
        adduser --system --ingroup mdm --home /var/lib/mdm mdm
        usermod -c "MDM Display Manager"   mdm
        usermod -d "/var/lib/mdm"          mdm
        usermod -g "mdm"                   mdm
        usermod -s "/bin/false"            mdm
fi

# Creating the nopasswdlogin group if it isn't already there.
# Needed for passwordless logins, working thanks to MDM's PAM policy.
if ! getent group nopasswdlogin >/dev/null; then
        groupadd --system nopasswdlogin
fi

if [ -d /var/lib/mdm ]; then
  chown -R mdm:mdm /var/lib/mdm
  chmod 0750 /var/lib/mdm
fi

if [ -e /usr/bin/mdmflexiserver ]; then
  echo "Linking mdmflexiserver for user-switching"
  ln -s /usr/bin/mdmflexiserver /usr/bin/gdmflexiserver
fi

%postun
/sbin/ldconfig
%{make_session}
%_postun_userdel mdm
%_postun_groupdel xgrp mdm

        if [ -d /var/lib/mdm ]; then
                rm -r /var/lib/mdm
        fi
        if [ -d /var/log/mdm ]; then
                rm -r /var/log/mdm
        fi
        if getent passwd mdm >/dev/null; then
                if [ -x /usr/sbin/userdel ]; then
                        userdel --remove mdm
                fi
        fi
        if getent group mdm >/dev/null; then
                if [ -x /usr/sbin/groupdel ]; then
                        groupdel mdm
                fi
        fi

if [ -L /usr/bin/gdmflexiserver ]; then
  echo "Removing link for user-switching"
  rm -f /usr/bin/gdmflexiserver
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README debian/changelog debian/copyright
%config(noreplace) %{_sysconfdir}/pam.d/mdm
%config(noreplace) %{_sysconfdir}/pam.d/mdm-autologin
%config(noreplace) %{_sysconfdir}/pam.d/mdmsetup
%{_sysconfdir}/insserv.conf.d/mdm
%{_sysconfdir}/mdm/*
%{_sysconfdir}/security/console.apps/mdm*
%{_sysconfdir}/X11/dm/Sessions/ssh.desktop
%{_sysconfdir}/X11/Xsession.d/*mdm
%{_bindir}/mdm*
%{_libdir}/gtk-2.0/modules/libdwellmouselistener.so
%{_libdir}/gtk-2.0/modules/libkeymouselistener.so
%{_libdir}/mdm/mdm*
%{_sbindir}/mdm*
%{_datadir}/help/*/mdm/*
%{_datadir}/mdm
%{_datadir}/pixmaps/*.*
%{_datadir}/pixmaps/faces/*.*
%{_datadir}/icons/hicolor/*/apps/mdm*
%{_datadir}/X11/dm.d/*mdm.conf
%{_mandir}/man1/mdm.1.*
%attr(1770, mdm, mdm) %dir %{_localstatedir}/lib/mdm
%dir %{_var}/log/mdm


%changelog
* Fri Dec 29 2017 Zen Subz <techars21 at gmail dot com> - 2.0.19-1pclos2017
- Build for PCLinuxOS
